"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.samlLicensedAndEnabledMiddleware = exports.samlLicensedOwnerMiddleware = void 0;
const ssoHelpers_1 = require("../../ssoHelpers");
const samlHelpers_1 = require("../samlHelpers");
const samlLicensedOwnerMiddleware = (req, res, next) => {
    var _a;
    if ((0, samlHelpers_1.isSamlLicensed)() && ((_a = req.user) === null || _a === void 0 ? void 0 : _a.globalRole.name) === 'owner') {
        next();
    }
    else {
        res.status(401).json({ status: 'error', message: 'Unauthorized' });
    }
};
exports.samlLicensedOwnerMiddleware = samlLicensedOwnerMiddleware;
const samlLicensedAndEnabledMiddleware = (req, res, next) => {
    if ((0, samlHelpers_1.isSamlLoginEnabled)() && (0, samlHelpers_1.isSamlLicensed)() && (0, ssoHelpers_1.isSamlCurrentAuthenticationMethod)()) {
        next();
    }
    else {
        res.status(401).json({ status: 'error', message: 'Unauthorized' });
    }
};
exports.samlLicensedAndEnabledMiddleware = samlLicensedAndEnabledMiddleware;
//# sourceMappingURL=samlEnabledMiddleware.js.map