import type express from 'express';
import type { User } from '../../databases/entities/User';
import type { SamlUserAttributes } from './types/samlUserAttributes';
import type { SamlAttributeMapping } from './types/samlAttributeMapping';
import type { SamlPreferences } from './types/samlPreferences';
import type { IdentityProviderInstance } from 'samlify';
export declare class SamlService {
    private static instance;
    private identityProviderInstance;
    private _attributeMapping;
    get attributeMapping(): SamlAttributeMapping;
    set attributeMapping(mapping: SamlAttributeMapping);
    private _metadata;
    get metadata(): string;
    set metadata(metadata: string);
    constructor();
    static getInstance(): SamlService;
    init(): Promise<void>;
    getIdentityProviderInstance(forceRecreate?: boolean): IdentityProviderInstance;
    getRedirectLoginRequestUrl(): string;
    handleSamlLogin(req: express.Request, binding: 'post' | 'redirect'): Promise<{
        authenticatedUser: User | undefined;
        attributes: SamlUserAttributes;
        onboardingRequired: boolean;
    } | undefined>;
    getSamlPreferences(): SamlPreferences;
    setSamlPreferences(prefs: SamlPreferences): Promise<void>;
    loadSamlPreferences(): Promise<SamlPreferences | undefined>;
    saveSamlPreferences(): Promise<void>;
    getAttributesFromLoginResponse(req: express.Request, binding: 'post' | 'redirect'): Promise<SamlUserAttributes>;
}
