"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getServiceProviderInstance = void 0;
const UserManagementHelper_1 = require("../../UserManagement/UserManagementHelper");
const samlify_1 = require("samlify");
const constants_1 = require("./constants");
let serviceProviderInstance;
(0, samlify_1.setSchemaValidator)({
    validate: async (response) => {
        return Promise.resolve('skipped');
    },
});
const metadata = `
<EntityDescriptor
 xmlns:md="urn:oasis:names:tc:SAML:2.0:metadata"
 xmlns:saml="urn:oasis:names:tc:SAML:2.0:assertion"
 xmlns:ds="http://www.w3.org/2000/09/xmldsig#"
 entityID="${(0, UserManagementHelper_1.getInstanceBaseUrl)() + constants_1.SamlUrls.restMetadata}">
    <SPSSODescriptor WantAssertionsSigned="true" protocolSupportEnumeration="urn:oasis:names:tc:SAML:2.0:protocol">
        <NameIDFormat>urn:oasis:names:tc:SAML:1.1:nameid-format:emailAddress</NameIDFormat>
        <AssertionConsumerService isDefault="true" index="0" Binding="urn:oasis:names:tc:SAML:2.0:bindings:HTTP-POST" Location="${(0, UserManagementHelper_1.getInstanceBaseUrl)() + constants_1.SamlUrls.restAcs}"/>
    </SPSSODescriptor>
</EntityDescriptor>
`;
function getServiceProviderInstance() {
    if (serviceProviderInstance === undefined) {
        serviceProviderInstance = (0, samlify_1.ServiceProvider)({
            metadata,
        });
    }
    return serviceProviderInstance;
}
exports.getServiceProviderInstance = getServiceProviderInstance;
//# sourceMappingURL=serviceProvider.ee.js.map